[![GitHub release (latest by date)](https://img.shields.io/github/v/release/fm-sys/snapdrop-android)](https://github.com/fm-sys/snapdrop-android/releases/latest) 
[![CI build](https://github.com/fm-sys/snapdrop-android/workflows/APK%20Build/badge.svg?branch=master)](https://github.com/fm-sys/snapdrop-android) 
[![Uptime status page](https://img.shields.io/uptimerobot/ratio/m794250124-e911aac785f4e3425de6b894?label=PairDrop%20uptime)](https://stats.uptimerobot.com/1VgjOC6P1R)
[![Codacy Badge](https://app.codacy.com/project/badge/Grade/6a918bb3dc624cba87b5139f2cb4597d)](https://www.codacy.com/gh/fm-sys/snapdrop-android/dashboard?utm_source=github.com&amp;utm_medium=referral&amp;utm_content=fm-sys/snapdrop-android&amp;utm_campaign=Badge_Grade) 
[![Crowdin](https://badges.crowdin.net/snapdrop-android/localized.svg)](https://crowdin.com/project/snapdrop-android)
[![GitHub issues](https://img.shields.io/github/issues/fm-sys/snapdrop-android)](https://github.com/fm-sys/snapdrop-android/issues) 
[![GitHub license](https://img.shields.io/github/license/fm-sys/snapdrop-android)](https://github.com/fm-sys/snapdrop-android/blob/master/LICENSE)
[![Twitter URL](https://img.shields.io/twitter/url/https/twitter.com/fold_left.svg?style=social&label=Follow%20%40SnapdropAndroid)](https://twitter.com/SnapdropAndroid)

# Snapdrop & PairDrop for Android
<img align="right" src="app/src/main/res/mipmap-xxxhdpi/ic_launcher.png">

**Snapdrop & PairDrop for Android** is an android client for the free and open source local file sharing solution https://snapdrop.net/. 

>[!TIP]
>Do you also sometimes have the problem that you just need to quickly transfer a file from your phone to the PC?
>
> - USB? - Old fashioned!
> - Bluetooth? - Too much cumbersome and slow!
> - E-mail? - Please not another email I write to myself!
> - Snapdrop!

Snapdrop is a local file sharing solution which completely works in your browser. A bit like Apple's Airdrop, but not only for Apple devices. Windows, Linux, Android, IPhone, Mac - no problem at all!

However, even if it theoretically would fully work in your browser and you don't have to install anything, you will love this app if you want to use Snapdrop more often in your daily life. Thanks to perfect integration into the Android operating system, files are sent even faster. Directly from within other apps you can select Snapdrop to share with. Thanks to its radical simplicity, "Snapdrop for Android" makes the everyday life of hundreds of users easier. As an open source project we don't have any commercial interests but want to make the world a little bit better. Join and convince yourself!

## Where can I download the app?
**Snapdrop for Android** is available on [Google Play](https://play.google.com/store/apps/details?id=com.fmsys.snapdrop). For more advanced users, you can download the app via [F-Droid](https://f-droid.org/en/packages/com.fmsys.snapdrop/) as well. 
<p align="center">
  <a href="https://play.google.com/store/apps/details?id=com.fmsys.snapdrop">
    <img height="100" alt="Get it on Google Play" src="https://play.google.com/intl/en_us/badges/static/images/badges/en_badge_web_generic.png">
  </a>
  <a href="https://f-droid.org/en/packages/com.fmsys.snapdrop/">
    <img height="100" alt="Get it on F-Droid" src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png">
  </a>
</p>

## Screenshots
<img src="https://raw.githubusercontent.com/fm-sys/snapdrop-android/master/fastlane/metadata/android/en-US/images/featureGraphic.png" width="43.3%"></img> <img src="https://raw.githubusercontent.com/fm-sys/snapdrop-android/master/fastlane/metadata/android/en-US/images/phoneScreenshots/1.png" width="10%"></img> <img src="https://raw.githubusercontent.com/fm-sys/snapdrop-android/master/fastlane/metadata/android/en-US/images/phoneScreenshots/2.png" width="10%"></img> <img src="https://raw.githubusercontent.com/fm-sys/snapdrop-android/master/fastlane/metadata/android/en-US/images/phoneScreenshots/3.png" width="10%"></img> <img src="https://raw.githubusercontent.com/fm-sys/snapdrop-android/master/fastlane/metadata/android/en-US/images/phoneScreenshots/4.png" width="10%"></img> <img src="https://raw.githubusercontent.com/fm-sys/snapdrop-android/master/fastlane/metadata/android/en-US/images/phoneScreenshots/5.png" width="10%"></img> 

## Support Snapdrop
➡️ [See how you can support this app and the snapdrop community](https://github.com/fm-sys/snapdrop-android/blob/master/FUNDING.md)

## Contributing
**Snapdrop & PairDrop for Android** would like to become a community project. I invite your participation through issues and pull requests! Also bug reports are very welcome! But note that this is **not** the right place to report bugs regarding the **Snapdrop website** which occur independently of this app.

### Localization
We use [Crowdin](https://crowdin.com/project/snapdrop-android) to manage all our translations. If you want to contribute, feel free to help translating **Snapdrop & PairDrop for Android** into your favorite language. If your language does not yet exist and you want to contribute, please open an issue so we can discuss whether it is worth maintaining translations for that language. 

<p align="center">
  <a href="https://crowdin.com/project/snapdrop-android" rel="nofollow">
    <img width="200" src="https://support.crowdin.com/assets/badges/localization-at-dark-rounded@1x.svg" alt="Crowdin | Agile localization for tech companies" />
  </a>
</p>

One additional hint:
Please do not change any translations manually in the `.xml` resource files. Nothing bad would happen though, but these changes would be deleted/overwritten automatically by Crowdin. If you add/change any resource strings within your PR, Crowdin will automatically take care of all related translations. 

### Development
If you want to help with development, this would be more than welcome! I am very glad about every pull request. Just fork the repo and start coding. However, if you plan to implement larger changes, please tell us in the [issue tracker](https://github.com/fm-sys/snapdrop-android/issues) before hacking on your great new feature. 

## Other software
### Other Snapdrop software
- Firefox Add-on for desktop platforms: [Pairdrop Web Extension](https://github.com/ueen/PairdropWebExtension)
- And for sure, PairDrop directly inside the browser - just use it everywhere: https://pairdrop.net/
- And for sure, Snapdrop directly inside the browser - just use it everywhere: https://snapdrop.net/
- Serverless snapdrop desktop app: https://github.com/JustSch/node-snapdrop-electron

### Alternatives
- Apple Airdrop (Mac and IOS only, plus an unofficial [open source implementation](https://github.com/seemoo-lab/opendrop) for Linux) 
- Google Nearby Share (Android, Chrome OS and [Windows](https://www.android.com/better-together/nearby-share-app/), plus an unofficial [macOS client](https://github.com/grishka/NearDrop))
- Windows Nearby Sharing (Windows only, there is a [FLOSS implementation](https://github.com/ShortDevelopment/Nearby-Sharing-Windows) for android)
- Link to Windows (Your Android phone will be mounted as storage directly in your Windows file explorer, [read more](https://blogs.windows.com/windows-insider/2024/07/25/ability-to-access-your-android-phone-in-file-explorer-begins-rolling-out-to-windows-insiders/))
